Bug 194480 - Crash Dump after an unhandled exception error happened while trying to update and add/remove software
Crash Dump after an unhandled exception error happened while trying to update...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
5
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-08 09:33 EDT by Philip Loh
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.0.x
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-14 07:26:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Crash Dump after an unhandled exception error happened while trying to update and add/remove software (1.40 KB, text/plain)
2006-06-08 09:33 EDT, Philip Loh
no flags Details
Add/Remove Applications error msg. (1.17 KB, application/octet-stream)
2006-06-23 16:57 EDT, Shawn Foster
no flags Details

  None (edit)
Description Philip Loh 2006-06-08 09:33:52 EDT
Description of problem:

Component: Software Manager
Summary: TBfef41469 versionlock.py:45:exclude_hook:PluginYumExit: Unable to read
version lock configuration: [Errno 5] OSError: [Errno 2] No such file or
directory: '/etc/yum/pluginconf.d/versionlock.list'

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 390, in ?
    main()
  File "/usr/sbin/pirut", line 386, in main
    pm.run()
  File "/usr/sbin/pirut", line 299, in run
    self.doRefresh()
  File "/usr/sbin/pirut", line 310, in doRefresh
    self.reposSetup(pbar)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 154, in reposSetup
    self.doSackSetup()
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 299, in doSackSetup
    self.plugins.run('exclude')
  File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 164, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/versionlock.py", line 45, in exclude_hook
    raise PluginYumExit('Unable to read version lock configuration: %s' % e)
PluginYumExit: Unable to read version lock configuration: [Errno 5] OSError:
[Errno 2] No such file or directory: '/etc/yum/pluginconf.d/versionlock.list'

Local variables in innermost frame:
conduit: <yum.plugins.MainPluginConduit instance at 0xb3044dac>
e: [Errno 5] OSError: [Errno 2] No such file or directory:
'/etc/yum/pluginconf.d/versionlock.list'
locklist: []
location: /etc/yum/pluginconf.d/versionlock.list


Version-Release number of selected component (if applicable):

Fedora-Core : 2.6.16-1.2122_FC5

How reproducible:


Steps to Reproduce:
1.Start Add/Remove Program
2.Start Software Updater
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Philip Loh 2006-06-08 09:33:52 EDT
Created attachment 130738 [details]
Crash Dump after an unhandled exception error happened while trying to update and add/remove software
Comment 2 Shawn Foster 2006-06-23 16:57:17 EDT
Created attachment 131465 [details]
Add/Remove Applications error msg.

This is an attachment of the error msg.
Comment 3 Jeremy Katz 2006-06-25 20:46:49 EDT
This is a bug in the plugin package not containing all of the files it should
(... or the plugin not failing gracefully)
Comment 4 Tim Lauridsen 2007-02-14 07:26:28 EST
It is fixed in current yum-utils releases 1.0.x, where the plugin is disabled by
default.

Note You need to log in before you can comment on or make changes to this bug.